Transliterator::__construct
Transliterator::createFromRules
Transliterator
PHP Manual

# Transliterator::create

# transliterator_create

Create a transliterator

### Description

Object oriented style

public static Transliterator Transliterator::create ( string `$id` [, int `$direction` ] )

Procedural style

Transliterator transliterator_create ( string `$id` [, int `$direction` ] )

Opens a Transliterator by id.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`id`

  The id.

`direction`

  The direction, defaults to >Transliterator::FORWARD. May also be set to Transliterator::REVERSE.

### Return Values

Returns a Transliterator object on success, or `NULL` on failure.

### See Also

- Transliterator::getErrorMessage
- Transliterator::__construct